Index: code/branches/FICN/visual_studio/FICN.sln
===================================================================
--- code/branches/FICN/visual_studio/FICN.sln	(revision 686)
+++ code/branches/FICN/visual_studio/FICN.sln	(revision 708)
@@ -23,8 +23,8 @@
 	EndProjectSection
 	ProjectSection(ProjectDependencies) = postProject
+		{35575B59-E1AE-40E8-89C4-2862B5B09B68} = {35575B59-E1AE-40E8-89C4-2862B5B09B68}
+		{2240ECD7-2F48-4431-8E1B-25466A384CCC} = {2240ECD7-2F48-4431-8E1B-25466A384CCC}
+		{271715F3-5B90-4110-A552-70C788084A86} = {271715F3-5B90-4110-A552-70C788084A86}
 		{4733BD1A-E04C-458D-8BFB-5010250EA497} = {4733BD1A-E04C-458D-8BFB-5010250EA497}
-		{271715F3-5B90-4110-A552-70C788084A86} = {271715F3-5B90-4110-A552-70C788084A86}
-		{2240ECD7-2F48-4431-8E1B-25466A384CCC} = {2240ECD7-2F48-4431-8E1B-25466A384CCC}
-		{35575B59-E1AE-40E8-89C4-2862B5B09B68} = {35575B59-E1AE-40E8-89C4-2862B5B09B68}
 		{E283910F-F911-40FB-A09D-D025CA821912} = {E283910F-F911-40FB-A09D-D025CA821912}
 	EndProjectSection
@@ -42,6 +42,6 @@
 	EndProjectSection
 	ProjectSection(ProjectDependencies) = postProject
+		{271715F3-5B90-4110-A552-70C788084A86} = {271715F3-5B90-4110-A552-70C788084A86}
 		{2240ECD7-2F48-4431-8E1B-25466A384CCC} = {2240ECD7-2F48-4431-8E1B-25466A384CCC}
-		{271715F3-5B90-4110-A552-70C788084A86} = {271715F3-5B90-4110-A552-70C788084A86}
 	EndProjectSection
 EndProject
@@ -50,4 +50,13 @@
 		Debug.AspNetCompiler.Debug = "True"
 		Release.AspNetCompiler.Debug = "False"
+	EndProjectSection
+EndProject
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "TestProj", "testproj.vcproj", "{97B226C5-8FD9-4A1E-B50B-5CBF79CF46F5}"
+	ProjectSection(WebsiteProperties) = preProject
+		Debug.AspNetCompiler.Debug = "True"
+		Release.AspNetCompiler.Debug = "False"
+	EndProjectSection
+	ProjectSection(ProjectDependencies) = postProject
+		{271715F3-5B90-4110-A552-70C788084A86} = {271715F3-5B90-4110-A552-70C788084A86}
 	EndProjectSection
 EndProject
@@ -82,4 +91,6 @@
 		{2240ECD7-2F48-4431-8E1B-25466A384CCC}.Release|Win32.ActiveCfg = Release|Win32
 		{2240ECD7-2F48-4431-8E1B-25466A384CCC}.Release|Win32.Build.0 = Release|Win32
+		{97B226C5-8FD9-4A1E-B50B-5CBF79CF46F5}.Debug|Win32.ActiveCfg = Debug|Win32
+		{97B226C5-8FD9-4A1E-B50B-5CBF79CF46F5}.Release|Win32.ActiveCfg = Release|Win32
 	EndGlobalSection
 	GlobalSection(SolutionProperties) = preSolution
Index: code/branches/FICN/visual_studio/audio.vcproj
===================================================================
--- code/branches/FICN/visual_studio/audio.vcproj	(revision 686)
+++ code/branches/FICN/visual_studio/audio.vcproj	(revision 708)
@@ -177,10 +177,4 @@
 			</File>
 		</Filter>
-		<Filter
-			Name="Resource Files"
-			Filter="rc;ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe;resx;tiff;tif;png;wav"
-			UniqueIdentifier="{67DA6AB6-F800-4c08-8B7A-83BB121AAD01}"
-			>
-		</Filter>
 	</Files>
 	<Globals>
Index: code/branches/FICN/visual_studio/base_properties.vsprops
===================================================================
--- code/branches/FICN/visual_studio/base_properties.vsprops	(revision 686)
+++ code/branches/FICN/visual_studio/base_properties.vsprops	(revision 708)
@@ -11,5 +11,5 @@
 		AdditionalIncludeDirectories="&quot;$(SolutionDir)\..\src&quot;;&quot;$(OGRE_HOME)\Dependencies\include&quot;;&quot;$(OGRE_HOME)\OgreMain\include&quot;;&quot;$(ORXONOX_HOME)\dependencies\include&quot;"
 		PreprocessorDefinitions="WIN32;__WIN32__;_WIN32;BOOST_ALL_DYN_LINK"
-		WarningLevel="2"
+		WarningLevel="3"
 		Detect64BitPortabilityProblems="true"
 		DebugInformationFormat="3"
Index: code/branches/FICN/visual_studio/base_properties_release.vsprops
===================================================================
--- code/branches/FICN/visual_studio/base_properties_release.vsprops	(revision 686)
+++ code/branches/FICN/visual_studio/base_properties_release.vsprops	(revision 708)
@@ -17,4 +17,5 @@
 		Name="VCLinkerTool"
 		LinkIncremental="1"
+		GenerateDebugInformation="true"
 		OptimizeReferences="2"
 		EnableCOMDATFolding="2"
Index: code/branches/FICN/visual_studio/benixonox.vcproj
===================================================================
--- code/branches/FICN/visual_studio/benixonox.vcproj	(revision 686)
+++ code/branches/FICN/visual_studio/benixonox.vcproj	(revision 708)
@@ -177,8 +177,4 @@
 				>
 			</File>
-			<File
-				RelativePath="..\src\orxonox\SpaceshipSteering.cc"
-				>
-			</File>
 			<Filter
 				Name="hud"
@@ -187,22 +183,4 @@
 					RelativePath="..\src\orxonox\hud\HUD.cc"
 					>
-					<FileConfiguration
-						Name="Debug|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							ObjectFile="$(IntDir)\$(InputName)1.obj"
-							XMLDocumentationFileName="$(IntDir)\$(InputName)1.xdc"
-						/>
-					</FileConfiguration>
-					<FileConfiguration
-						Name="Release|Win32"
-						>
-						<Tool
-							Name="VCCLCompilerTool"
-							ObjectFile="$(IntDir)\$(InputName)1.obj"
-							XMLDocumentationFileName="$(IntDir)\$(InputName)1.xdc"
-						/>
-					</FileConfiguration>
 				</File>
 			</Filter>
@@ -310,16 +288,4 @@
 			>
 			<File
-				RelativePath="..\src\orxonox\AIClass.h"
-				>
-			</File>
-			<File
-				RelativePath="..\src\orxonox\Arrival.h"
-				>
-			</File>
-			<File
-				RelativePath="..\src\orxonox\Flocking.h"
-				>
-			</File>
-			<File
 				RelativePath="..\src\orxonox\GraphicsEngine.h"
 				>
@@ -339,8 +305,4 @@
 			<File
 				RelativePath="..\src\orxonox\OrxonoxPrereqs.h"
-				>
-			</File>
-			<File
-				RelativePath="..\src\orxonox\SpaceshipSteering.h"
 				>
 			</File>
@@ -461,4 +423,28 @@
 				>
 				<File
+					RelativePath="..\src\misc\ColourValue.h"
+					>
+				</File>
+				<File
+					RelativePath="..\src\misc\Math.h"
+					>
+				</File>
+				<File
+					RelativePath="..\src\misc\Matrix3.h"
+					>
+				</File>
+				<File
+					RelativePath="..\src\misc\Quaternion.h"
+					>
+				</File>
+				<File
+					RelativePath="..\src\misc\Sleep.h"
+					>
+				</File>
+				<File
+					RelativePath="..\src\misc\String.h"
+					>
+				</File>
+				<File
 					RelativePath="..\src\misc\String2Number.h"
 					>
@@ -466,4 +452,16 @@
 				<File
 					RelativePath="..\src\misc\Tokenizer.h"
+					>
+				</File>
+				<File
+					RelativePath="..\src\misc\Vector2.h"
+					>
+				</File>
+				<File
+					RelativePath="..\src\misc\Vector3.h"
+					>
+				</File>
+				<File
+					RelativePath="..\src\misc\Vector4.h"
 					>
 				</File>
@@ -476,5 +474,49 @@
 			>
 			<File
+				RelativePath="..\bin\media.cfg"
+				>
+			</File>
+			<File
+				RelativePath="..\bin\ogre.cfg"
+				>
+			</File>
+			<File
+				RelativePath="..\bin\Ogre.log"
+				>
+			</File>
+			<File
+				RelativePath="..\bin\orxonox.ini"
+				>
+			</File>
+			<File
+				RelativePath="..\bin\orxonox.log"
+				>
+			</File>
+			<File
+				RelativePath="..\bin\plugins.cfg"
+				>
+			</File>
+			<File
+				RelativePath="..\bin\plugins_d.cfg"
+				>
+			</File>
+			<File
+				RelativePath="..\bin\quake3settings.cfg"
+				>
+			</File>
+			<File
+				RelativePath="..\bin\resources.cfg"
+				>
+			</File>
+			<File
 				RelativePath="..\bin\levels\sample.oxw"
+				>
+			</File>
+			<File
+				RelativePath="..\bin\translation_default.lang"
+				>
+			</File>
+			<File
+				RelativePath="..\bin\translation_german.lang"
 				>
 			</File>
Index: code/branches/FICN/visual_studio/core.vcproj
===================================================================
--- code/branches/FICN/visual_studio/core.vcproj	(revision 686)
+++ code/branches/FICN/visual_studio/core.vcproj	(revision 708)
@@ -54,4 +54,5 @@
 				Name="VCLinkerTool"
 				AdditionalDependencies="OgreMain_d.lib"
+				OutputFile="$(OutDir)\$(ProjectName)_d.dll"
 			/>
 			<Tool
@@ -183,4 +184,8 @@
 			</File>
 			<File
+				RelativePath="..\src\orxonox\core\Language.cc"
+				>
+			</File>
+			<File
 				RelativePath="..\src\orxonox\core\MetaObjectList.cc"
 				>
@@ -213,4 +218,8 @@
 			</File>
 			<File
+				RelativePath="..\src\orxonox\core\ColourValue.h"
+				>
+			</File>
+			<File
 				RelativePath="..\src\orxonox\core\ConfigValueContainer.h"
 				>
@@ -253,4 +262,8 @@
 			</File>
 			<File
+				RelativePath="..\src\orxonox\core\Language.h"
+				>
+			</File>
+			<File
 				RelativePath="..\src\orxonox\core\MetaObjectList.h"
 				>
@@ -272,10 +285,4 @@
 				>
 			</File>
-		</Filter>
-		<Filter
-			Name="Resource Files"
-			Filter="rc;ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe;resx;tiff;tif;png;wav"
-			UniqueIdentifier="{67DA6AB6-F800-4c08-8B7A-83BB121AAD01}"
-			>
 		</Filter>
 	</Files>
Index: code/branches/FICN/visual_studio/loader.vcproj
===================================================================
--- code/branches/FICN/visual_studio/loader.vcproj	(revision 686)
+++ code/branches/FICN/visual_studio/loader.vcproj	(revision 708)
@@ -153,10 +153,4 @@
 			</File>
 		</Filter>
-		<Filter
-			Name="Resource Files"
-			Filter="rc;ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe;resx;tiff;tif;png;wav"
-			UniqueIdentifier="{67DA6AB6-F800-4c08-8B7A-83BB121AAD01}"
-			>
-		</Filter>
 	</Files>
 	<Globals>
Index: code/branches/FICN/visual_studio/network.vcproj
===================================================================
--- code/branches/FICN/visual_studio/network.vcproj	(revision 686)
+++ code/branches/FICN/visual_studio/network.vcproj	(revision 708)
@@ -235,10 +235,4 @@
 			</File>
 		</Filter>
-		<Filter
-			Name="Resource Files"
-			Filter="rc;ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe;resx;tiff;tif;png;wav"
-			UniqueIdentifier="{67DA6AB6-F800-4c08-8B7A-83BB121AAD01}"
-			>
-		</Filter>
 	</Files>
 	<Globals>
Index: code/branches/FICN/visual_studio/tinyxml.vcproj
===================================================================
--- code/branches/FICN/visual_studio/tinyxml.vcproj	(revision 686)
+++ code/branches/FICN/visual_studio/tinyxml.vcproj	(revision 708)
@@ -163,10 +163,4 @@
 			</File>
 		</Filter>
-		<Filter
-			Name="Resource Files"
-			Filter="rc;ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe;resx;tiff;tif;png;wav"
-			UniqueIdentifier="{67DA6AB6-F800-4c08-8B7A-83BB121AAD01}"
-			>
-		</Filter>
 	</Files>
 	<Globals>
